body {
    background: #00a693;
}

.shadow {
    position: relative;
    -webkit-box-shadow: 5px 5px 4px 0 rgba(0,0,0,0.75);
    -moz-box-shadow: 5px 5px 4px 0 rgba(0,0,0,0.75);
    box-shadow: 5px 5px 4px 0 rgba(0,0,0,0.75);
}

/* TRIP */

.trip-container {
    width: 1100px;
    padding-top: 20px;
    padding-bottom: 5px;
    margin: auto;
    background: #007c6e;
}

.trip-item {
    margin-bottom: 15px;
}

.trip-header {
    padding: 10px;
    font-weight: bold;
    font-size: 18px;
    color: aliceblue;
    background: #005b4f;
}

.trip-header-item {
    display: inline-block;
    width: 330px;
    margin: 10px;
}

.trip-header-item > div {
    display: inline-block;
}

.trip-details {
    margin: 15px;
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.3s ease-out;
}

.trip-item:focus > .trip-details {
    max-height: 1080px;
    transition: max-height 0.3s ease-in;
}

.trip-point {
    margin: 10px 5px;
}

.trip-point > div:first-child {
    font-weight: bold;
}

.trip-point-item {
    display: inline-block;
    margin-right: 30px;
}

.trip-point-item > div {
    display: inline-block;
}

.trip-route {
    padding-left: 30px;
    margin: 10px 5px;
    color: #242424;
}

.trip-route-item {
    display: inline-block;
    width: 220px;
    margin-right: 30px;
}

.trip-route-item > div {
    display: inline-block;
}

/* FIND */

.find-form-container {
    width: 930px;
    padding: 30px 85px 40px;
    background: #007c6e;
    margin: auto;
}

.find-select {
    width: 250px;
}

.find-button {
    margin-left: 40px;
    width: 230px;
}

.find-title {
    font-size: 20px;
    margin-bottom: 30px;
}

.find-separator {
    display: inline-block;
    margin: 0 10px;
}

/* HEADER */

.header-container {
    width: 1100px;
    margin: 0 auto;
}

.header {
    margin: 30px 0;
    height: 200px;
}

.header-title {
    padding: 50px 0;
    width: 900px;
    float: left;
    color: aliceblue;
    font-weight: bold;
    font-size: 100px;
    text-align: center;
}

.header-image {
    float: right;
    width: 200px;
    height: 200px;
    border-radius: 50%;
}

/* NAVBAR */

.navbar {
    height: 60px;
}

.navbar > a > div {
    position: relative;
    margin-left: 20px;
    float: right;
    text-decoration: none;
    text-align: center;
    color: #d69c32;
    font-size: 20px;
    font-weight: bold;
    width: 300px;
    height: 20px;
    padding: 20px 0;
    background: #19897c;
    -webkit-box-shadow: 5px 5px 4px 0 rgba(0,0,0,0.75);
    -moz-box-shadow: 5px 5px 4px 0 rgba(0,0,0,0.75);
    box-shadow: 5px 5px 4px 0 rgba(0,0,0,0.75);
    transition: all 0.3s ease-in-out;
}

.navbar > a > div:hover {
    text-shadow: 0 0 2px #d69c32;
    transition: all 0.3s ease-in-out;
}

.navbar-active {
    background: #007c6e !important;
}

/* INDEX */

.index-container {
    width: 1100px;
    min-height: 50px;
    padding: 20px 0;
    margin: auto;
    background: #007c6e;
}

.index-info {
    padding: 40px 150px;
}

.index-info > p {
    text-align: justify;
}

.index-button-container {
    margin-left: 335px;
}

.index-button-container > button {
    display: inline-block;
    width: 200px;
    color: black;
    margin: 10px;
    padding: 3px;
    background: #19897c;
    border: #005b4f solid 2px;
    border-radius: 3px;
    transition: all 0.3s ease-in-out;
}

.index-button-container > button:hover {
    background: #00a693;
    transition: all 0.3s ease-in-out;
}

#index-info-id {
    display: none;
}

#index-info-title {
    display: none;
}

/* ROUTE */

.route-container {
    width: 1100px;
    padding-top: 40px;
    padding-bottom: 40px;
    margin: auto;
    background: #007c6e;
}

.route-form {
    margin-left: 100px;
}

.route-point > div {
    display: inline-block;
    font-weight: bold;
}

.route-point-title {
    width: 300px;
    text-align: right;
    margin-right: 30px;
}

.route-point-separator {
    margin: 0 20px;
}

.route-item {
    margin-top: 20px;
}

.route-item > label {
    display: inline-block;
    width: 300px;
    text-align: right;
    margin-right: 30px;
}

.route-item > input {
    display: inline-block;
    width: 215px;
}

.route-item > select {
    display: inline-block;
    width: 300px;
}

.route-info {
    margin-top: 20px;
}

.route-info > div {
    display: inline-block;
}

.route-info-title {
    width: 300px;
    text-align: right;
    margin-right: 30px;
}

.route-button {
    margin-top: 30px;
    margin-left: 335px;
    width: 150px;
}

.route-header {
    margin-left: 335px;
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 30px;
}

#auto-calculate-button {

}

/* STATEMENT */

.statement {
    position: fixed;
    transform: translateX(-50%) translateY(-50%);
    opacity: 0;
    left: 50%;
    top: 50px;
    padding: 20px;
    font-weight: bold;
    background: #007c6e;
    border: solid 3px white;
    animation: statement-animation 10s;
}

@keyframes statement-animation {
    from {
        opacity: 0;
    }

    10% {
        opacity: 1;
    }

    80% {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

.confirmation {
    color: #00221e;
}

.warning {
    color: #d69c32;
}

.error {
    color: red;
}





